Patches

VM 8.6.2: PVCS VM 8.6.2 Hotfix 001



ID:    P2864
Published:    22 January 2020
Updated:    24 March 2020

Operating System(s)

  • All Unix
  • All Windows

Product(s)

  • PVCS Version Manager 8.6.2
 

Description

The attached HotFix solves the following issues in VM 8.6.2:
 
  • DEF334487: IIS: Remote user is able to reconfigure File Server even remote configuration is disabled
  • DEF334185: PVCS VM Tomcat web server should enable additional security features by default
  • INT335937: 8.6.2: Vulnerable Jackson libraries (8.6.2 HotFix001)
  • DEF336443: SBM integration: user can not login via IIS
 
This HotFix requires that you have PVCS Version Manager 8.6.2 installed. The patch should be installed on:
 
  • Machines running the PVCS Version Manager Web Application Server
  • End-user PCs running the PVCS Version Manager Desktop Client.

    PCs of end-users who only use the VM I-Net Web Client interface do not need this patch.
 
Ensure no Version Manager component is running on the machine being patched. When patching the server this includes the PVCS Version Manager Web Application Server (File Server / VM I-Net / WebDAV) and all workstations using a network installation from this machine (if this feature was installed). When patching the desktop clients, this includes the VM Desktop Client GUI any IDE that was integrated with Version Manager.
 
  • To install the HotFix on a Windows system, follow the instructions in readme_vm8620_HotFix001.txt

    If you get the message:

    ERROR: Failed to apply hotfix files. Make sure all PVCS VM components are stopped.
           Also make sure that you are running this script as Administrator.
           If this does not solve the problem, contact Micro Focus Support.


    then either some Version Manager component was still running or there are insufficient privileges to update the files the HotFix wants to replace. To avoid the latter, run the installer as the same user who installed Version Manager.

    If you run vm_8620_HotFix001.bat a second time it will uninstall the patch.
     

  • To install the HotFix on a UNIX or Linux system, follow the instructions in readme_vm8620_HotFix001_UNIX.txt

    If you run VM_Install_Dir/patch_backout/vm8620_HotFix001_backout.sh it will uninstall the patch.

 

Ways to confirm the HotFix was installed:
 

  • Desktop Client GUI: Go to Help -> About PVCS Version Manager. The list of installed modules should contain:

    PVCS VM 8.6.2 Hotfix 001. See readme_vm8620_HotFix001.txt for list of fixed defects.: 8.6.2.0 (Build 241, Hotfix 1)
     
  • PCLI: Run "pcli -h". The output should contain:

    PVCS VM 8.6.2 Hotfix 001. See readme_vm8620_HotFix001.txt for list of fixed defects.: 8.6.2.0 (Build 241, Hotfix 1)
     

 

Attachment

Find Answers

Type a question or describe what you are looking for below

My Recent Searches

Welcome kb sso

Additional Assistance

  • Submit a Case Online
  • FAQs